Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
Class GORMSessionFactoryDefinitionParser

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMSessionFactoryDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class GORMSessionFactoryDefinitionParser

extends Object
implements BeanDefinitionParser

A BeanDefinitionParser that will scan for GORM entities to configure and automatically setup an appropriate Hibernate SessionFactory for usage with GORM. Example in XML:

###

###

     <gorm:sessionFactory
              data-source-ref="myDataSource"
              base-package="my.company.domain"
              lob-handler-ref="lobHandler" <!--optional-->
              config-location="classpath:hibernate.cfg.xml" <!--optional-->
              config-class="org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration"> <!--optional-->

          <property name="hibernateProperties"></property>
     </gorm:sessionFactory>

    Since:
      1.1
    Author:
      Graeme Rocher
    See Also:BeanDefinitionParser

    Constructor Summary

    GORMSessionFactoryDefinitionParser()

    Method Summary

     BeanDefinition
    parse(Element element,
          ParserContext parserContext)

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    GORMSessionFactoryDefinitionParser

    public GORMSessionFactoryDefinitionParser()

    Method Detail

    parse

    public BeanDefinition parse(Element element,
                                ParserContext parserContext)

    Specified by:parse in interface BeanDefinitionParser

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD